
Infrastructure - Task #691

Ensure mercury parser is using objectFormat to identify the correct processor to use

2010-06-22 02:54 - Dave Vieglais

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Rob Nahf % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: CCI-0.4   

Milestone: None Story Points:  

Product Version: *   

Description

Generate a test that verifies the Mercury indexer is applying the correct ruleset to a given objectFormat and if necessary modify the

indexer to correctly utilize this information for parsing and indexing.

History

#1 - 2010-06-29 16:48 - Rob Nahf

- Status changed from New to In Progress

#2 - 2010-07-01 16:12 - Rob Nahf

Jim is modifying Mercury to allow the xpath rules file to be an argument on the command line of the indexer, also to dissociate source from

objectFormat (some sources deal with multiple formats).

#3 - 2010-07-01 16:14 - Rob Nahf

Built tools for producing the tests.  Waiting on new version of Mercury executable.

#4 - 2010-08-12 21:23 - Rob Nahf

- Status changed from In Progress to Closed

due to a change of behavior in Mercury, this ticket is no longer valid.  New task will be written.
